<?php
/*
 * Este arquivo é responsável por retornar um json contendo o histórico
 * do indicador especificado.
 */

require_once(__DIR__ . "/../../classes/Sistema.php"); 
set_sistema(Sistema::INDICACOES);
$sistema = new Sistema(true);

if(empty($sistema->usuario->senha_transf)) $sistema->redirecionar("../senha-transferencia");

if($sistema->indicacoes->permissao_transferencias != "1"){
	$sistema->redirecionar("../");
}

try {
	$resultado = $sistema->indicacoes->transferir_saldo($sistema->usuario->id, $_POST['valor'], $_POST['senha'], $_POST['usuario']);

	if ($resultado != -1){
		$_SESSION['errotransferencia'] = $resultado;
		$sistema->redirecionar("../transferencia");
	}

	$_SESSION['transferenciasucesso'] = 0;
	$sistema->redirecionar("../transferencia");
}
catch (Exception $e) {
	$_SESSION['errotransferencia'] = 1;
	$sistema->redirecionar("../transferencia");
}
?>